 arch/i386/Kconfig          |    5 +++--
 arch/i386/kernel/io_apic.c |    6 +-----
 drivers/pci/msi.c          |    1 +
 include/asm-i386/io_apic.h |    2 ++
 4 files changed, 7 insertions(+), 7 deletions(-)

diff -puN arch/i386/Kconfig~ia32-MSI-support-tweaks arch/i386/Kconfig
--- 25/arch/i386/Kconfig~ia32-MSI-support-tweaks	2003-10-15 22:55:33.000000000 -0700
+++ 25-akpm/arch/i386/Kconfig	2003-10-15 22:55:33.000000000 -0700
@@ -1031,12 +1031,13 @@ config PCI_DIRECT
 	default y
 
 config PCI_USE_VECTOR
-	bool "PCI_USE_VECTOR"
+	bool "Vector-based interrupt indexing"
 	depends on X86_LOCAL_APIC
 	default n
 	help
 	   This replaces the current existing IRQ-based index interrupt scheme
-	   with the vector-base index scheme. The advantages of vector base over	   IRQ base are listed below:
+	   with the vector-base index scheme. The advantages of vector base
+	   over IRQ base are listed below:
 	   1) Support MSI implementation.
 	   2) Support future IOxAPIC hotplug
 
diff -puN arch/i386/kernel/io_apic.c~ia32-MSI-support-tweaks arch/i386/kernel/io_apic.c
--- 25/arch/i386/kernel/io_apic.c~ia32-MSI-support-tweaks	2003-10-15 22:55:33.000000000 -0700
+++ 25-akpm/arch/i386/kernel/io_apic.c	2003-10-15 22:55:33.000000000 -0700
@@ -678,8 +678,6 @@ static int __init irqbalance_disable(cha
 
 __setup("noirqbalance", irqbalance_disable);
 
-static void set_ioapic_affinity_irq(unsigned int irq, cpumask_t mask);
-
 static inline void move_irq(int irq)
 {
 	/* note - we hold the desc->lock */
@@ -1150,7 +1148,7 @@ u8 *irq_vector;
 int nr_irqs;
 
 #ifndef CONFIG_PCI_USE_VECTOR
-static int __init assign_irq_vector(int irq)
+int __init assign_irq_vector(int irq)
 {
 	static int current_vector = FIRST_DEVICE_VECTOR, offset = 0;
 
@@ -1171,8 +1169,6 @@ next:
 
 	return current_vector;
 }
-#else
-extern int assign_irq_vector(int irq);
 #endif
 
 static struct hw_interrupt_type ioapic_level_type;
diff -puN drivers/pci/msi.c~ia32-MSI-support-tweaks drivers/pci/msi.c
--- 25/drivers/pci/msi.c~ia32-MSI-support-tweaks	2003-10-15 22:55:33.000000000 -0700
+++ 25-akpm/drivers/pci/msi.c	2003-10-15 22:55:33.000000000 -0700
@@ -17,6 +17,7 @@
 #include <asm/io.h>
 #include <asm/smp.h>
 #include <asm/desc.h>
+#include <asm/io_apic.h>
 #include <mach_apic.h>
 
 #include <linux/pci_msi.h>
diff -puN include/asm-i386/io_apic.h~ia32-MSI-support-tweaks include/asm-i386/io_apic.h
--- 25/include/asm-i386/io_apic.h~ia32-MSI-support-tweaks	2003-10-15 22:55:33.000000000 -0700
+++ 25-akpm/include/asm-i386/io_apic.h	2003-10-15 22:55:33.000000000 -0700
@@ -217,4 +217,6 @@ extern int io_apic_set_pci_routing (int 
 #define io_apic_assign_pci_irqs 0
 #endif
 
+extern int assign_irq_vector(int irq);
+
 #endif

_
